Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezarticle/user/searchsupplier.php File Reference

Go to the source code of this file.

## Variables
| $ModuleName = "eZ article"
| $SearchResult [0]["DetailedSearchPath"] = "/article/search/"
| $SearchResult [0]["DetailedSearchVariable"] = "SearchText"
| $SearchResult [0]["DetailViewPath"] = "/article/view/"
| $SearchResult [0]["IconPath"] = "/design/base/images/icons/document.gif"
| $article = new eZArticle()
| $articleSearchResult = $article->search( $SearchText, "time", false, 0, $Limit, array(), $SearchResult["SearchCount"] )
| $SearchResult [0]["Result"] = $articleSearchResult
| $SearchResult [0]["SearchCount"] = is_array( $articleSearchResult ) ? count( $articleSearchResult ) : 0

## Variable Documentation

## ◆ $article

$article = new eZArticle()

Definition at line 36 of file ezarticle/user/searchsupplier.php.

## ◆ $articleSearchResult

$articleSearchResult = $article->search( $SearchText, "time", false, 0, $Limit, array(), $SearchResult["SearchCount"] )

Definition at line 38 of file ezarticle/user/searchsupplier.php.

## ◆ $ModuleName

$ModuleName = "eZ article"

Definition at line 30 of file ezarticle/user/searchsupplier.php.

Referenced by eZMenuBox\createBox().

## ◆ $SearchResult [1/6]

$SearchResult[0]["DetailedSearchPath"] = "/article/search/"

Definition at line 31 of file ezarticle/user/searchsupplier.php.

## ◆ $SearchResult [2/6]

$SearchResult[0]["DetailedSearchVariable"] = "SearchText"

Definition at line 32 of file ezarticle/user/searchsupplier.php.

## ◆ $SearchResult [3/6]

$SearchResult[0]["DetailViewPath"] = "/article/view/"

Definition at line 33 of file ezarticle/user/searchsupplier.php.

## ◆ $SearchResult [4/6]

$SearchResult[0]["IconPath"] = "/design/base/images/icons/document.gif"

Definition at line 34 of file ezarticle/user/searchsupplier.php.

## ◆ $SearchResult [5/6]

$SearchResult[0]["Result"] = $articleSearchResult

Definition at line 40 of file ezarticle/user/searchsupplier.php.

## ◆ $SearchResult [6/6]

$SearchResult[0]["SearchCount"] = is_array( $articleSearchResult ) ? count( $articleSearchResult ) : 0

Definition at line 41 of file ezarticle/user/searchsupplier.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.